org.wildfly.swarm.config.jca

## Class ArchiveValidation<T extends ArchiveValidation<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.jca.ArchiveValidation<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ArchiveValidation<T extends ArchiveValidation<T>>
      extends HashMap

  Archive validation for resource adapters
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArchiveValidation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `enabled()` Specify whether archive validation is enabled
    `T` | `enabled(Boolean value)` Specify whether archive validation is enabled
    `Boolean` | `failOnError()` Should an archive validation error report fail the deployment
    `T` | `failOnError(Boolean value)` Should an archive validation error report fail the deployment
    `Boolean` | `failOnWarn()` Should an archive validation warning report fail the deployment
    `T` | `failOnWarn(Boolean value)` Should an archive validation warning report fail the deployment
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ArchiveValidation

          public ArchiveValidation()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### enabled

          public Boolean enabled()

      Specify whether archive validation is enabled

    - #### enabled

          public T enabled(Boolean value)

      Specify whether archive validation is enabled

    - #### failOnError

          public Boolean failOnError()

      Should an archive validation error report fail the deployment

    - #### failOnError

          public T failOnError(Boolean value)

      Should an archive validation error report fail the deployment

    - #### failOnWarn

          public Boolean failOnWarn()

      Should an archive validation warning report fail the deployment

    - #### failOnWarn

          public T failOnWarn(Boolean value)

      Should an archive validation warning report fail the deployment

Copyright © 2017 JBoss by Red Hat. All rights reserved.